## /control/

UI control commands.

## Sub-directories :

/control/matScan/

  Material scanner commands.

## Commands :

execute [fileName]

  Execute a macro file.

  Available at all Geant4 states.

  Parameters

  fileName | type s |  |

loop [macroFile] [counterName] [initialValue] [finalValue] [stepSize]

  Execute a macro file more than once.
  Loop counter can be used as an aliased variable.

  Available at all Geant4 states.

  Parameters

  macroFile | type s |  |
  counterName | type s |  |
  initialValue | type d |  |
  finalValue | type d |  |
  stepSize | type d | Omittable : default value = 1 |

foreach [macroFile] [counterName] [valueList]

  Execute a macro file more than once.
  Loop counter can be used as an aliased variable.
  Values must be separated by a space.

  Available at all Geant4 states.

  Parameters

  macroFile | type s |  |
  counterName | type s |  |
  valueList | type s |  |

suppressAbortion [level]

  Suppress the program abortion caused by G4Exception.
  Suppression level = 0 : no suppression
  = 1 : suppress during EventProc state
  = 2 : full suppression, i.e. no abortion by G4Exception
  When abortion is suppressed, you will get error messages issued by G4Exception,
  and there is NO guarantee for the correct result after the G4Exception error message.

  Range : level >= 0 && level <= 2

  Available at all Geant4 states.

  Parameters

  level | type i | Omittable : default value = 0 |

verbose [switch]

  Applied command will also be shown on screen.
  This command is useful with MACRO file.
  0 : silent
  1 : only the valid commands are shown.
  2 : comment lines are also shown (default).

  Range : switch >= 0 && switch <=2

  Available at all Geant4 states.

  Parameters

  switch | type i | Omittable : default value = 2 |

saveHistory [fileName]

  Store command history to a file.
  Defaul file name is G4history.macro.

  Available at all Geant4 states.

  Parameters

  fileName | type s | Omittable : default value = G4History.macro |

stopSavingHistory

  Stop saving history file.

  Available at all Geant4 states.

alias [aliasName] [aliasValue]

  Set an alias.
  String can be aliased by this command.
  The string may contain one or more spaces,
  the string must be enclosed by double quotes (").
  To use an alias, enclose the alias name with
  parenthis "{" and "}".

  Available at all Geant4 states.

  Parameters

  aliasName | type s |  |
  aliasValue | type s |  |

unalias [aliasName]

  Remove an alias.

  Available at all Geant4 states.

  Parameters

  aliasName | type s |  |

listAlias

  List aliases.

  Available at all Geant4 states.

shell []

  Execute a (Unix) SHELL command.

  Available at all Geant4 states.

  Parameters

  | type s |  |

manual [dirPath]

  Display all of sub-directories and commands.
  Directory path should be given by FULL-PATH.

  Available at all Geant4 states.

  Parameters

  dirPath | type s | Omittable : default value = / |

createHTML [dirPath]

  Generate HTML files for all of sub-directories and commands.
  Directory path should be given by FULL-PATH.

  Available at all Geant4 states.

  Parameters

  dirPath | type s | Omittable : default value = / |

maximumStoredHistory [max]

  Set maximum number of stored UI commands.

  Available at all Geant4 states.

  Parameters

  max | type i | Omittable : default value = 20 |